import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { throwError as observableThrowError, Observable } from 'rxjs';
import { catchError } from 'rxjs/operators';
import { CURRENT_BASE_HREF } from '../../../../shared/units/utils';

export abstract class ScanApiRepository {
    abstract postSchedule(param): Observable<any>;

    abstract putSchedule(param): Observable<any>;

    abstract getSchedule(): Observable<any>;
}

@Injectable()
export class ScanApiDefaultRepository extends ScanApiRepository {
    constructor(private http: HttpClient) {
        super();
    }

    public postSchedule(param): Observable<any> {
        return this.http
            .post(`${CURRENT_BASE_HREF}/system/scanAll/schedule`, param)
            .pipe(catchError(error => observableThrowError(error)));
    }

    public putSchedule(param): Observable<any> {
        return this.http
            .put(`${CURRENT_BASE_HREF}/system/scanAll/schedule`, param)
            .pipe(catchError(error => observableThrowError(error)));
    }

    public getSchedule(): Observable<any> {
        return this.http
            .get(`${CURRENT_BASE_HREF}/system/scanAll/schedule`)
            .pipe(catchError(error => observableThrowError(error)));
    }
}
